For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve user details

Retrieve user details based on the provided team ID. The endpoint returns information such as user ID, email, first name, and last name for all users in the team. You can also fetch detail of a single

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "Retrieve user details based on the provided team ID. The endpoint returns information such as user ID, email, first name, and last name for all users in the team. You can also fetch detail of a single user. To fetch details for an individual user, include their user ID to limit the response to that specific user."

Retrieve user details

Retrieve user details

get

Retrieve user details based on the provided team ID. The endpoint returns information such as user ID, email, first name, and last name for all users in the team. You can also fetch detail of a single user. To fetch details for an individual user, include their user ID to limit the response to that specific user.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Query parameters
teamIdstringRequired

The unique identifier for the team whose user details you want to retrieve.

retailerTeamIdstringOptional

The unique identifier for a retailer-managed team. As a retailer, you can retrieve details about the teams in your namespace by providing the retailerTeamId. When you include this parameter, the API returns user details for the specified team associated with the provided retailerTeamId. Ensure you authenticate the request using the retailer's authentication bearer token.

offsetstringOptional

The number of records to skip before starting to return results. Must be a non-negative integer.

limitstringOptional

The maximum number of records to return in a single response. Must be a positive integer.

userIdstringOptional

The user ID of the user whose details you want to retrieve.

Responses
200

The team object for requested id.

application/json
get/v2/team/users-details
GET /v2/team/users-details?teamId=text HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "users": [
    {
      "email": "john.doe@example.com",
      "firstName": "John",
      "id": "user-456",
      "lastName": "Doe",
      "logoId": "77e7d042-96b1-480a-8c65-d3f94e21244a",
      "namespace": "marketing",
      "roleIds": [
        "ROLE_TYPES_SUPPLIER_FULL",
        "ROLE_TYPES_RETAILER_REPORT_VIEW"
      ]
    }
  ]
}